Bug 258943 - devel/awscli: Update to 1.20.55
Summary: devel/awscli: Update to 1.20.55
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bradley T. Hughes
URL: https://github.com/aws/aws-cli/blob/1...
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2021-10-05 10:46 UTC by bgdnlp
Modified: 2021-10-14 18:40 UTC (History)
0 users

See Also:
bhughes: maintainer-feedback+
bhughes: merge-quarterly-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bgdnlp 2021-10-05 10:46:01 UTC
Would it be possible to update this port / package? AWS released some features that are not available in 1.19.
Comment 1 bgdnlp 2021-10-06 04:30:30 UTC
I didn't
Comment 2 bgdnlp 2021-10-06 04:41:31 UTC
I updated the title and URL to point to a certain version, I didn't know that's how it should be. But I didn't ask for a certain version because they put out a new one basically every day.

I set the request to today's latest in awscli v1 branch. awscli2 has some breaking changes [1], notably piping output through a pager by default [2] which can break scripts in certain situations. Also, it comes as a "self-contained" archive, so it would be a completely different way of installing it. Please don't upgrade to v2.


[1] https://docs.aws.amazon.com/cli/latest/userguide/cliv2-migration.html
[2] https://github.com/aws/aws-cli/issues/5343
Comment 3 Bradley T. Hughes freebsd_committer 2021-10-14 18:26:45 UTC
I have devel/py-botocore, net/py-s3transfer, devel/awscli, and www/py-boto3 changes ready in my local Git clone. I will push them as soon as my poudriere test builds are finished :)
Comment 4 commit-hook freebsd_committer 2021-10-14 18:32:04 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3563f586ef87640b9b1f2c9430f2aed6a689de95

commit 3563f586ef87640b9b1f2c9430f2aed6a689de95
Author:     Bradley T. Hughes <bhughes@FreeBSD.org>
AuthorDate: 2021-10-14 13:50:24 +0000
Commit:     Bradley T. Hughes <bhughes@FreeBSD.org>
CommitDate: 2021-10-14 18:31:10 +0000

    devel/awscli: Update to 1.20.61

    PR:             258943
    Sponsored by:   Miles AS

 devel/awscli/Makefile | 6 +++---
 devel/awscli/distinfo | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)